<?php
/** @var MSTS_InvoiceME_Block_Payment_Form_InvoiceMe $this */
$code = $this->getMethodCode();
$buyerStatus = $this->getBuyerStatus();
?>
<?php if (!$this->isCustomerLoggedIn()): ?>
    <div id="payment_form_<?php echo $code ?>" style="display:none;">
        <p><?php echo $this->__('Please <a href="%s" title="login">log in</a> before using this payment method.', $this->getCustomerLoginPageUrl()) ?></p>
    </div>
    <script type="text/javascript">
    //<![CDATA[
    Validation.add('validate-invoiceme-guest', '<?php echo $this->__('InvoiceMe payment method is available to registered customers only.'); ?>', function(v) {
        return !(typeof payment != "undefined" && payment.currentMethod == '<?php echo $code ?>');
    });

    var methodObject = $('p_method_<?php echo $code ?>');
    if (!methodObject.hasClassName('validate-invoiceme-guest')) {
        methodObject.addClassName('validate-invoiceme-guest');
    }
    //]]>
    </script>
<?php elseif ($buyerStatus && MSTS_InvoiceMe_Helper_Customer::BUYER_STATUS_ACTIVE != $buyerStatus): ?>
    <script type="text/javascript">
        //<![CDATA[
        Validation.add('validate-invoiceme-not-active-buyer', '<?php echo $this->__('InvoiceMe payment method is currently not available to you. Please visit the <a href="%s">InvoiceMe</a> section to find more details.', $this->getInvoiceMeUrl()); ?>', function(v) {
            return !(typeof payment != "undefined" && payment.currentMethod == '<?php echo $code ?>');
        });

        var methodObject = $('p_method_<?php echo $code ?>');
        if (!methodObject.hasClassName('validate-invoiceme-not-active-buyer')) {
            methodObject.addClassName('validate-invoiceme-not-active-buyer');
        }
        //]]>
    </script>
<?php elseif (!$buyerStatus): ?>
    <div id="payment_form_<?php echo $code ?>" style="display:none;">
        <p><?php echo $this->__('You are not yet a registered InvoiceMe user. You will be redirected to the InvoiceMe credit application form after placing this order. Your order will be processed after approval of your InvoiceMe credit application and InvoiceMe user account is created.'); ?></p>
    </div>
<?php else: ?>
    <?php
    $notesKey = MSTS_InvoiceMe_Model_Payment_Method_InvoiceMe::FORM_FIELD_NOTES;
    $poNumberKey = MSTS_InvoiceMe_Model_Payment_Method_InvoiceMe::FORM_FIELD_PO_NUMBER;
    ?>
    <ul class="form-list" id="payment_form_<?php echo $code ?>" style="display:none;">
        <li>
            <label for="<?php echo $poNumberKey ?>"><?php echo $this->__('Purchase Order Number') ?></label>
            <div class="input-box">
                <input type="text" id="<?php echo $poNumberKey ?>" name="payment[<?php echo $poNumberKey ?>]" title="<?php echo Mage::helper('core')->quoteEscape($this->__('Purchase Order Number')) ?>" class="input-text" maxlength="<?php echo MSTS_InvoiceMe_Model_Payment_Method_InvoiceMe::FORM_FIELD_PO_NUMBER_MAXIMUM_LENGTH ?>" value="<?php echo $this->escapeHtml($this->getInfoData($poNumberKey)) ?>" />
            </div>
        </li>
        <li>
            <label for="<?php echo $notesKey ?>"><?php echo $this->__('Notes') ?></label>
            <div class="input-box">
                <textarea id="<?php echo $notesKey ?>" name="payment[<?php echo $notesKey ?>]" title="<?php echo Mage::helper('core')->quoteEscape($this->__('Notes')) ?>" class="input-text" rows="2" cols="40" maxlength="<?php echo MSTS_InvoiceMe_Model_Payment_Method_InvoiceMe::FORM_FIELD_NOTES_MAXIMUM_LENGTH ?>"><?php echo $this->escapeHtml($this->getInfoData($notesKey)) ?></textarea>
            </div>
        </li>
    </ul>
<?php endif; ?>
